|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QGfxDriverPlugin Class Reference

The QGfxDriverPlugin class provides an abstract base for Qt/Embedded graphics driver plugins. More...

    #include <QGfxDriverPlugin>

Part of the QtGui module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QGfxDriverPlugin ( QObject * parent = 0 )
- ~QGfxDriverPlugin ()
- virtual QScreen * create ( const QString & driver, int displayId ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QGfxDriverPlugin class provides an abstract base for Qt/Embedded graphics driver plugins.

The graphics driver plugin is a simple plugin interface that makes it easy to create custom graphics drivers.

Writing a graphics driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN() macro. See How to Create Qt Plugins for details.

This class is only available in Qt/Embedded.

## Member Function Documentation

### QGfxDriverPlugin::QGfxDriverPlugin ( QObject * parent = 0 )

Constructs a graphics driver plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN() macro.

### QGfxDriverPlugin::~QGfxDriverPlugin ()

Destroys the graphics driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QScreen * QGfxDriverPlugin::create ( const QString & driver, int displayId ) `[pure virtual]`

Creates a driver matching the type specified by driver, that will use display displayId.

Reimplemented from QGfxDriverFactoryInterface.

See also keys().

### QStringList QGfxDriverPlugin::keys () const `[pure virtual]`

Returns the list of graphics drivers this plugin supports.

Reimplemented from QFactoryInterface.

See also create().